package de.szut.webshop.article;

import org.springframework.stereotype.Service;
import java.util.Collection;

@Service
public class ArticleService {
    private final ArticleRepository articleRepository;

    public ArticleService(ArticleRepository articleRepository) {
        this.articleRepository = articleRepository;
    }

    public Collection<ArticleEntity> getArticles() {
        return articleRepository.findAll();
    }
}
